Bug 63254 - New Port: devel/p5-ExtUtils-MakeMaker -- Designed to write a Makefile for an extension module
New Port: devel/p5-ExtUtils-MakeMaker -- Designed to write a Makefile for an...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: trevor
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-23 05:40 UTC by ahze
Modified: 2004-04-20 21:41 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ahze 2004-02-23 05:40:17 UTC
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	devel/p5-ExtUtils-MakeMaker/
#	devel/p5-ExtUtils-MakeMaker/pkg-plist
#	devel/p5-ExtUtils-MakeMaker/pkg-descr
#	devel/p5-ExtUtils-MakeMaker/distinfo
#	devel/p5-ExtUtils-MakeMaker/Makefile
#
echo c - devel/p5-ExtUtils-MakeMaker/
mkdir -p devel/p5-ExtUtils-MakeMaker/ > /dev/null 2>&1
echo x - devel/p5-ExtUtils-MakeMaker/pkg-plist
sed 's/^X//' >devel/p5-ExtUtils-MakeMaker/pkg-plist << 'END-of-devel/p5-ExtUtils-MakeMaker/pkg-plist'
Xbin/instmodsh
X%%SITE_PERL%%/ExtUtils/Command.pm
X%%SITE_PERL%%/ExtUtils/Command/MM.pm
X%%SITE_PERL%%/ExtUtils/Install.pm
X%%SITE_PERL%%/ExtUtils/Installed.pm
X%%SITE_PERL%%/ExtUtils/Liblist.pm
X%%SITE_PERL%%/ExtUtils/Liblist/Kid.pm
X%%SITE_PERL%%/ExtUtils/MANIFEST.SKIP
X%%SITE_PERL%%/ExtUtils/MM.pm
X%%SITE_PERL%%/ExtUtils/MM_Any.pm
X%%SITE_PERL%%/ExtUtils/MM_BeOS.pm
X%%SITE_PERL%%/ExtUtils/MM_Cygwin.pm
X%%SITE_PERL%%/ExtUtils/MM_DOS.pm
X%%SITE_PERL%%/ExtUtils/MM_MacOS.pm
X%%SITE_PERL%%/ExtUtils/MM_NW5.pm
X%%SITE_PERL%%/ExtUtils/MM_OS2.pm
X%%SITE_PERL%%/ExtUtils/MM_UWIN.pm
X%%SITE_PERL%%/ExtUtils/MM_Unix.pm
X%%SITE_PERL%%/ExtUtils/MM_VMS.pm
X%%SITE_PERL%%/ExtUtils/MM_Win32.pm
X%%SITE_PERL%%/ExtUtils/MM_Win95.pm
X%%SITE_PERL%%/ExtUtils/MY.pm
X%%SITE_PERL%%/ExtUtils/MakeMaker.pm
X%%SITE_PERL%%/ExtUtils/MakeMaker/FAQ.pod
X%%SITE_PERL%%/ExtUtils/MakeMaker/Tutorial.pod
X%%SITE_PERL%%/ExtUtils/MakeMaker/bytes.pm
X%%SITE_PERL%%/ExtUtils/MakeMaker/vmsish.pm
X%%SITE_PERL%%/ExtUtils/Manifest.pm
X%%SITE_PERL%%/ExtUtils/Mkbootstrap.pm
X%%SITE_PERL%%/ExtUtils/Mksymlists.pm
X%%SITE_PERL%%/ExtUtils/Packlist.pm
X%%SITE_PERL%%/ExtUtils/testlib.pm
X%%SITE_PERL%%/%%PERL_ARCH%%/auto//ExtUtils/MakeMaker/.packlist
X@dirrm %%SITE_PERL%%/ExtUtils/MakeMaker
X@unexec rmdir %D/%%SITE_PERL%%/%%PERL_ARCH%%/auto/ExtUtils/MakeMaker 2>/dev/null || true
X@unexec rmdir %D/%%SITE_PERL%%/ExtUtils/Command 2>/dev/null || true
X@unexec rmdir %D/%%SITE_PERL%%/ExtUtils/Liblist 2>/dev/null || true
X@unexec rmdir %D/%%SITE_PERL%%/%%PERL_ARCH%%/auto/ExtUtils 2>/dev/null || true
X@unexec rmdir %D/%%SITE_PERL%%/ExtUtils 2>/dev/null || true
END-of-devel/p5-ExtUtils-MakeMaker/pkg-plist
echo x - devel/p5-ExtUtils-MakeMaker/pkg-descr
sed 's/^X//' >devel/p5-ExtUtils-MakeMaker/pkg-descr << 'END-of-devel/p5-ExtUtils-MakeMaker/pkg-descr'
XThis utility is designed to write a Makefile for an extension module from a 
XMakefile.PL. It is based on the Makefile.SH model provided by Andy Dougherty 
Xand the perl5-porters.
X
XIt splits the task of generating the Makefile into several subroutines that 
Xcan be individually overridden. Each subroutine returns the text it wishes to 
Xhave written to the Makefile.
X
XMakeMaker is object oriented. Each directory below the current directory that
Xcontains a Makefile.PL is treated as a separate object. This makes it possible
Xto write an unlimited number of Makefiles with a single invocation of 
XWriteMakefile().
X
XWWW: http://search.cpan.org/dist/ExtUtils-MakeMaker/
END-of-devel/p5-ExtUtils-MakeMaker/pkg-descr
echo x - devel/p5-ExtUtils-MakeMaker/distinfo
sed 's/^X//' >devel/p5-ExtUtils-MakeMaker/distinfo << 'END-of-devel/p5-ExtUtils-MakeMaker/distinfo'
XMD5 (ExtUtils-MakeMaker-6.21.tar.gz) = 551c73ed52a36a93af8c305c71a554e5
XSIZE (ExtUtils-MakeMaker-6.21.tar.gz) = 223111
END-of-devel/p5-ExtUtils-MakeMaker/distinfo
echo x - devel/p5-ExtUtils-MakeMaker/Makefile
sed 's/^X//' >devel/p5-ExtUtils-MakeMaker/Makefile << 'END-of-devel/p5-ExtUtils-MakeMaker/Makefile'
X# New ports collection makefile for:    ExtUtils-MakeMaker
X# Date created:                         Mon Feb 23 00:13:01 EST 2004
X# Whom:                                 Michael Johnson <ahze@ahze.net>
X#
X# $FreeBSD: ports/devel/p5-Proc-ProcessTable/Makefile,v 1.12 2003/12/21 17:03:51 petef Exp $
X#
X
XPORTNAME=	ExtUtils-MakeMaker
XPORTVERSION=	6.21
XCATEGORIES=	devel perl5
XMASTER_SITES=	${MASTER_SITE_PERL_CPAN}
XMASTER_SITE_SUBDIR=	ExtUtils
XPKGNAMEPREFIX=	p5-
X
XMAINTAINER=	ahze@ahze.net
XCOMMENT=	Designed to write a Makefile for an extension module
X
XPERL_CONFIGURE=	YES
XCONFIGURE_ARGS= INSTALLDIRS=site
X
XMAN1=	instmodsh.1
XMAN3=	ExtUtils::Installed.3 ExtUtils::MM_OS2.3 ExtUtils::MakeMaker.3 \
X	ExtUtils::Install.3 ExtUtils::Manifest.3 ExtUtils::Command.3 \
X	ExtUtils::MM_Unix.3 ExtUtils::Mksymlists.3 ExtUtils::MM.3 \
X	ExtUtils::MM_Win32.3 ExtUtils::MM_UWIN.3 ExtUtils::testlib.3 \
X	ExtUtils::MakeMaker::vmsish.3 ExtUtils::MY.3 ExtUtils::MM_DOS.3 \
X	ExtUtils::MM_Cygwin.3 ExtUtils::MM_MacOS.3 ExtUtils::MM_Win95.3 \
X	ExtUtils::MM_VMS.3 ExtUtils::MM_BeOS.3 ExtUtils::Liblist.3 \
X	ExtUtils::MakeMaker::Tutorial.3 ExtUtils::Packlist.3 \
X	ExtUtils::Mkbootstrap.3 ExtUtils::MakeMaker::FAQ.3 \
X	ExtUtils::Command::MM.3 ExtUtils::MakeMaker::bytes.3 \
X	ExtUtils::MM_NW5.3 ExtUtils::MM_Any.3
X
X.include <bsd.port.pre.mk>
X
X.if ${PERL_LEVEL} < 500600
XBUILD_DEPENDS+= ${SITE_PERL}/Pod/Man.pm:${PORTSDIR}/textproc/p5-podlators
XRUN_DEPENDS+= ${BUILD_DEPENDS}
X.endif
X
X.include <bsd.port.post.mk>
END-of-devel/p5-ExtUtils-MakeMaker/Makefile
exit
Comment 1 Simon L. B. Nielsen freebsd_committer 2004-02-23 15:12:08 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-ports-bugs

Reassign misfiled PR.
Comment 2 trevor freebsd_committer 2004-04-20 21:40:39 UTC
State Changed
From-To: open->closed

committed--thank you 


Comment 3 trevor freebsd_committer 2004-04-20 21:40:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->trevor

taken by me